Bug 375101 - Printing from apps run under wine crashes wine.
Printing from apps run under wine crashes wine.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 17:11 EST by Ralf Kleineisel
Modified: 2008-06-16 22:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:50:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Kleineisel 2007-11-10 17:11:13 EST
Description of problem:
Printing from apps run under wine crashes wine.

Version-Release number of selected component (if applicable):
wine-0.9.48-1.fc7

How reproducible:
Every time

Steps to Reproduce:
1. Start an app under wine, e.g. wine notepad.exe
2. Write some text
3. Choose <File><Print> and try to print to ne of my cups printers
  
Actual results:
wine: Unhandled page fault on read access to 0x00000000 at address 0x60472597
(thread 0009), starting debugger...
Unhandled exception: page fault on read access to 0x00000000 in 32-bit code
(0x60472597).
Register dump:
 CS:0073 SS:007b DS:007b ES:007b FS:0033 GS:003b
 EIP:60472597 ESP:0033e760 EBP:0033e9a8 EFLAGS:00010216(   - 00      -RIAP1)
 EAX:0033f2ea EBX:60484600 ECX:00000000 EDX:00000000
 ESI:00000000 EDI:001333c4
Stack dump:
0x0033e760:  00000000 00110000 00000002 60745760
0x0033e770:  00130250 607622c0 00133394 0033f2ea
0x0033e780:  00110000 00000000 00130250 66ba6951
0x0033e790:  607622c0 00020028 00000004 00000000
0x0033e7a0:  00000000 00000000 00000000 00000000
0x0033e7b0:  00000000 00000000 00000000 00000000
Backtrace:
=>1 0x60472597 in comdlg32 (+0x22597) (0x0033e9a8)
  2 0x6047534a PrintDlgW+0x4ea() in comdlg32 (0x0033ee28)
  3 0x6042086d DIALOG_FilePrint+0xad() in notepad (0x0033f398)
  4 0x6042337e in notepad (+0x1337e) (0x0033f618)
  5 0x6070f1fa WINPROC_wrapper+0x1a() in user32 (0x0033f648)
  6 0x6070f91e in user32 (+0x9f91e) (0x0033f688)
  7 0x60715031 WINPROC_call_window+0xd1() in user32 (0x0033f6c8)
  8 0x606dbe16 DispatchMessageW+0x96() in user32 (0x0033f708)
  9 0x604221bb WinMain+0x73b() in notepad (0x0033fe58)
  10 0x60423f03 main+0xa3() in notepad (0x0033fed8)
  11 0x60423e2b in notepad (+0x13e2b) (0x0033ff08)
  12 0x6034a48e in kernel32 (+0x5a48e) (0x0033ffe8)
  13 0x600246e7 wine_switch_to_stack+0x17() in libwine.so.1 (0x00000000)
0x60472597: cmpw        $0,0x0(%edx)
Modules:
Module  Address                 Debug info      Name (70 modules)
ELF       101000-  115000       Deferred        libresolv.so.2
ELF       ab3000-  bb5000       Deferred        libx11.so.6
ELF       bb7000-  bd8000       Deferred        libexpat.so.0
ELF       bed000-  c0a000       Deferred        ld-linux.so.2
ELF       c10000-  d64000       Deferred        libc.so.6
ELF       d66000-  d8f000       Deferred        libm.so.6
ELF       d91000-  d96000       Deferred        libdl.so.2
ELF       d98000-  dab000       Deferred        libz.so.1
ELF       dad000-  dc5000       Deferred        libpthread.so.0
ELF       dc7000-  dca000       Deferred        libxau.so.6
ELF       dcc000-  dd2000       Deferred        libxdmcp.so.6
ELF       dd4000-  de4000       Deferred        libxext.so.6
ELF       de6000-  def000       Deferred        libxrender.so.1
ELF       df1000-  df6000       Deferred        libxfixes.so.3
ELF       df8000-  dfb000       Deferred        libxinerama.so.1
ELF      21b1000- 223b000       Deferred        libfreetype.so.6
ELF      2265000- 2294000       Deferred        libfontconfig.so.1
ELF      22a1000- 22ab000       Deferred        libxcursor.so.1
ELF      22ad000- 22b4000       Deferred        libxrandr.so.2
ELF      23c7000- 23e1000       Deferred        libice.so.6
ELF      23e3000- 23ec000       Deferred        libsm.so.6
ELF      2af2000- 2b0b000       Deferred        libnsl.so.1
ELF      32d3000- 3301000       Deferred        libcrypt.so.1
ELF      32d3000- 3301000       Deferred        libcrypt.so.1
ELF      3509000- 355e000       Deferred        libgcrypt.so.11
ELF      35d8000- 35dc000       Deferred        libgpg-error.so.0
ELF      36e6000- 3763000       Deferred        libgnutls.so.13
ELF      6603000- 6673000       Deferred        libgl.so.1
ELF      6ab9000- 6ac4000       Deferred        libdrm.so.2
ELF     6001d000-60132000       Export          libwine.so.1
ELF     602cc000-602d8000       Deferred        libnss_files.so.2
ELF     602d8000-6040d000       Export          kernel32<elf>
  \-PE  602f0000-6040d000       \               kernel32
ELF     6040d000-6043d000       Export          notepad<elf>
  \-PE  60410000-6043d000       \               notepad
ELF     6043d000-60440000       Deferred        iso8859-1.so
ELF     60440000-604e3000       Export          comdlg32<elf>
  \-PE  60450000-604e3000       \               comdlg32
ELF     604e3000-605f0000       Deferred        shell32<elf>
  \-PE  604f0000-605f0000       \               shell32
ELF     605f0000-6064d000       Deferred        shlwapi<elf>
  \-PE  60600000-6064d000       \               shlwapi
ELF     6064d000-6079b000       Export          user32<elf>
  \-PE  60670000-6079b000       \               user32
ELF     6079b000-6083f000       Deferred        gdi32<elf>
  \-PE  607b0000-6083f000       \               gdi32
ELF     6083f000-6088c000       Deferred        advapi32<elf>
  \-PE  60850000-6088c000       \               advapi32
ELF     60966000-609fb000       Deferred        winex11<elf>
  \-PE  60970000-609fb000       \               winex11
ELF     60bcc000-60bea000       Deferred        imm32<elf>
  \-PE  60bd0000-60bea000       \               imm32
ELF     60bf9000-60c2d000       Deferred        uxtheme<elf>
  \-PE  60c00000-60c2d000       \               uxtheme
ELF     60c2d000-60c8b000       Deferred        rpcrt4<elf>
  \-PE  60c40000-60c8b000       \               rpcrt4
ELF     60c8b000-60caa000       Deferred        iphlpapi<elf>
  \-PE  60c90000-60caa000       \               iphlpapi
ELF     60cbe000-60cf5000       Deferred        libcups.so.2
ELF     6414f000-641bb000       Deferred        msvcrt<elf>
  \-PE  64160000-641bb000       \               msvcrt
ELF     66b75000-66c1d000       Deferred        ntdll<elf>
  \-PE  66b90000-66c1d000       \               ntdll
ELF     66ca6000-66d6e000       Deferred        comctl32<elf>
  \-PE  66cb0000-66d6e000       \               comctl32
ELF     73005000-730b1000       Deferred        ole32<elf>
  \-PE  73010000-730b1000       \               ole32
ELF     78916000-7894d000       Deferred        winspool<elf>
  \-PE  78920000-7894d000       \               winspool
ELF     7bf00000-7bf03000       Deferred        <wine-loader>
Threads:
process  tid      prio (all id:s are in hex)
0000000a
        0000000c    0
        0000000b    0
00000008 (D) c:\windows\system32\notepad.exe
        00000009    0 <==


Expected results:
I'd like the file to be printed. It worked until I upgraded from FC6. Other
Linux apps can print to the same cups printer just fine.

Additional info:
Printer system is cups-1.2.12-7.fc7.
It doesn't matter if I use a real printer or a dummy print-to-file printer.
Comment 1 Andreas Bierfert 2007-11-26 02:39:39 EST
I am not able to reproduce this on either f7 or f8. Did you try with a clean
~/.wine directory? Also it would be interesting to know what components of wine
you have installed (rpm -qa | grep wine).
Comment 2 Bug Zapper 2008-05-14 11:01:57 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:50:43 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.